import { createSSRApp } from "vue";
import { createRouter, createWebHistory } from "vue-router";
import DjBlogRoot, { routes } from "@/blog//DjBlogRoot.tsx";
import { cssRegistry } from "@/util.ts";

createSSRApp(DjBlogRoot)
    .provide(cssRegistry, new Set())
    .use(createRouter({
        routes,
        history: createWebHistory("/blog"),
    }))
    .mount("#app-root");
